class Domains(object):

    """Manage Domains.
    """

    def __init__(self, client):
        self.client = client

    def create(self, name, options={}):
        """Creates a single domain.

        '/domains/' POST

        Args:
            name: Domain Name
        """
        body = options['body'] if 'body' in options else {}
        body['name'] = name

        response = self.client.post('/domains/', body, options)

        return response

    def list(self, options={}):
        """Lists domains.

        '/domains/' GET
        """
        body = options['query'] if 'query' in options else {}

        response = self.client.get('/domains/', body, options)

        return response

